; === available XBox360 buttons ===
;
; DPAD_UP DPAD_DOWN DPAD_LEFT DPAD_RIGHT A B X Y
; START BACK LEFT_THUMB RIGHT_THUMB LEFT_SHOULDER RIGHT_SHOULDER
; 
; === available keyboard definitions ===
;
; VK_LBUTTON VK_RBUTTON VK_CANCEL VK_MBUTTON VK_XBUTTON1 VK_XBUTTON2 VK_BACK
; VK_TAB VK_CLEAR VK_RETURN VK_ENTER VK_SHIFT VK_CONTROL VK_MENU VK_PAUSE
; VK_CAPITAL VK_ESCAPE VK_SPACE VK_PRIOR VK_NEXT VK_END VK_HOM VK_LEFT VK_UP
; VK_RIGHT VK_DOWN VK_SELECT VK_PRINT VK_EXECUTE VK_SNAPSHOT VK_INSERT VK_DELETE
; VK_HELP 0-9 A-Z VK_LWIN VK_RWIN VK_APPS VK_NUMPAD0-9 VK_MULTIPLY VK_ADD
; VK_SEPARATOR VK_SUBTRACT VK_DECIMAL VK_DIVIDE VK_F1-12 VK_NUMLOCK VK_SCROLL
; VK_LSHIFT VK_RSHIFT VK_LCONTROL VK_RCONTROL VK_LMENU VK_RMENU
;

; note: keyboard key definitions can also be expressed in numeric decimal or 
; hexadecimal values. For instance, the following configurations are equivalent:
;
; START=VK_ENTER
; START=0x0D
; START=13

[settings]
;
; number of xbox360 controllers managed [min 1, default/max 4]
;
devices=2
;
; poll time for the xbox360 key status detection, in mSec. [default 5 mSec]
; the lower the value, the more responsive but the more CPU consiming
:
keydelay=5;

;
; key definitions, in room [keymap<n>] with n from 1 to <devices>
;
[keymap1]
DPAD_UP=VK_UP
DPAD_DOWN=VK_DOWN
DPAD_LEFT=VK_LEFT
DPAD_RIGHT=VK_RIGHT
;
[keymap2]
DPAD_UP=S
DPAD_DOWN=X
DPAD_LEFT=Z
DPAD_RIGHT=C
